<?php
/*
Author: Feroz Jaffer
Author URI: http://www.wooaddons.net
Plugin Name: Give Donation Grid Addon
Plugin URI: http://www.wooaddons.net/give-grid-and-gallery
Description: Show Give Donation campaigns as pinterest like grids.
Version: 1.1
*/

if ( in_array( 'give/give.php', apply_filters( 'active_plugins', get_option( 'active_plugins' ) ) ) ) { // check for give plugin
	
add_action( 'admin_init', 'give_gallery_options_init' );
function give_gallery_options_init(){
	register_setting( 'give_gal_options', 'give_gallery_options');
}
function grid_assets() {
	wp_enqueue_style( 'white-panel', plugins_url('assets/whitepanel.css', __FILE__));
	wp_enqueue_style( 'give-bootstrap', plugins_url('assets/bootstrap.min.css', __FILE__));
	wp_enqueue_script('jquery');
	wp_enqueue_script( 'give-grid', plugins_url('assets/give_grid.js', __FILE__));	    
}
add_action( 'wp_enqueue_scripts', 'grid_assets' );

add_action('admin_menu', 'give_grid_menu');
function give_grid_menu()
{
add_submenu_page(
        'edit.php?post_type=give_forms',
        __( 'Give Grid', 'give_grid' ),
        __( 'Give Grid', 'give_grid' ),
        'manage_options',
        'give-grid-gallery',
        'give_grid_gallery_callback'
    );	
}
function give_grid_gallery_callback() { 
    ?>
  <form method="post" action="options.php">
	<?php settings_fields( 'give_gal_options' ); ?> 
      <?php $options = get_option( 'give_gallery_options' ); ?> 
    <div class="wrap">
        <h1><?php _e( 'Give Donation Grid Settings', 'give_grid' ); ?></h1>
          
<table width="80%" cellpadding="6" cellspacing="0" style="border:3px solid #BAD1EB;">
  <tr bgcolor="#E0F2F8">
    <td width="31%"><span style="font-size:13px;">Give Post Grids in a raw</span></td>
    <td width="69%"><select name="give_gallery_options[grid_columns]" id="give_gallery_options[grid_columns]">
    <?php for($mi = 2;$mi <= 6;$mi++) {?>
      <option value="<?php echo $mi; ?>" <?php if ( $options['grid_columns'] == $mi ) { echo 'selected="selected"'; } ?> ><?php echo $mi; ?></option>
    <?php } ?>
    </select></td>
  </tr>
  <tr>
  <td colspan="2" bgcolor="#ffffff"><span style="font-size:13px;">[give_grid_pinterest]  Use the shotcode to show your give donation forms as pinterest like grids. </span></td>
  </tr>  
</table>       
    </div>
    <input type="submit" name="save" id="save" class="button button-primary" value="<?php _e( 'Save Options', 'give_grid' ); ?>"  style="margin-top:10px;
    margin-bottom:10px;"/>
  </form>
<table width="80%" cellpadding="6" cellspacing="0">
<tr><td> 
<div id="give_pro" style="padding:10px;background-color:#E0F3FC;border:2px solid #C4E7F2;">  
<h3>Checkout our Pro Version demo. <a href="http://www.wooaddons.net/give-grid-and-gallery" target="_blank">Give Donation Grid Pro</a></h3> 
<ol>
<li> Save Give forms under post categories</li>
<li> Show/Hide Goal and Amount raised on the grids</li>
<li> Show/Hide form summary on the grids</li>
<li> Shortcode to show category wise donation forms as grid</li>
<li> Add gallery to each donation forms</li>
<li> Style Lables and buttons</li>
<li> Add Campaign end date feature</li>
<li> Show/Hide Campaign end date on donation form grids</li>
<li> Show Campaign end countdown feature on signle donation form</li>
<li> Hide donate button from closed campaigns</li>
</ol>
<div>
</td></tr></table>
    <?php
}

function goal_grid_admin_script($hook) {
    if ( $hook != 'give_forms_page_give-grid-gallery') {
        return;
    }
    wp_enqueue_script( 'goal_color_picker', plugin_dir_url( __FILE__ ) . 'assets/jscolor.min.js' );
}
add_action( 'admin_enqueue_scripts', 'goal_grid_admin_script' );

function give_pinterest_grid() {
	   
        $mypost = array(
        'post_type' => 'give_forms'
            );
        $loop = new WP_Query( $mypost );
		$options = get_option( 'give_gallery_options' );
													
  $xb = '<section id="give-grids">';
foreach ($loop->posts as $p){
	$patient_image = wp_get_attachment_url( get_post_thumbnail_id($p->ID), 'large' );
	$g_content = get_post_meta($p->ID,'_give_form_content',true);

$xb.='<article class="white-panel mix category_1"> <img src="'. $patient_image .'" alt="">
<h4 style="margin-top:6px;"><a href="'.get_permalink($p->ID).'">'. $p->post_title.'</a></h4>
<p style="font-size:15px;color:#000;">'.wp_trim_words( $g_content, 20, '<a href="'. get_permalink($p->ID) .'"> ...<span class="label label-info" style="background-color:#'.$options['readmore_color'].'">Read More</span></a>' ).'</p>
</article>';
}
$xb.='</section>';
return $xb;
}
add_shortcode('give_grid_pinterest', 'give_pinterest_grid');

function give_grid_footer() {
	$options = get_option( 'give_gallery_options' );
?>
<script>
        jQuery(document).ready(function() {
            jQuery('#give-grids').Give_Grid({
                no_columns: <?php echo $options['grid_columns']; ?>,
                padding_x: 10,
                padding_y: 10,
                margin_bottom: 50,
                single_column_breakpoint: 700
            });		
        });
    </script>
<?php	
}
add_action('wp_footer','give_grid_footer');
} // check for give plugin ends here
?>